Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1821433 - Update to proj 7
Summary: Update to proj 7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: proj
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-06 19:52 UTC by Nyall Dawson
Modified: 2020-11-13 01:33 UTC (History)
4 users (show)

Fixed In Version: proj-7.2.0-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-13 01:33:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Nyall Dawson 2020-04-06 19:52:45 UTC
Proj 7.0 was released in March. The fedora packages should be upgraded to this version.

Comment 1 Sandro Mani 2020-04-07 10:23:14 UTC
Any recommendations how to deal with the 450MB proj-data? I'd plan to split the country prefixed *.tif and *.txt up by country, like proj-data-{at,au,be,ca,ch,de,dk,es,fr,is,nl,nz,pt,se,uk,us} and keep the rest (so DK, FO, ISL, NKG, README.DATA, copyright_and_licenses.csv) in a base proj-data package.

Comment 2 Nyall Dawson 2020-04-13 23:59:51 UTC
Is there a particular limit to the size of packages allowed? It might be easiest to just do a single mega package, but don't make it a mandatory dependency of the main proj package...

Comment 3 Jos de Kloe 2020-08-10 11:30:13 UTC
I think splitting is the way to go. A 450 MB data package is a but much.
Also I would expect this proj-data package to grow larger in time, and maybe even more countries get included.
It would be nice to give the user the option to just install the data for one or a few countries that are needed and skip the remainder.

Can you give an idea how big the individual splitted packages will be?

Anyway, looking forward to seeing proj-7.1 in rawhide, since that is the minimum required no for the next/upcoming release of pyproj.

Comment 4 Ben Cotton 2020-08-11 13:16:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 5 Fedora Update System 2020-11-13 01:33:58 UTC
FEDORA-2020-a305ed49c1 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.